@extends('shop-public::layout')
@section('pageTitle', 'Finalizar compra')
@section('content')
@php
setlocale(LC_MONETARY, 'en_US');
@endphp
<code>
	Variables disponibles:
	<ul>
		<li>$shipping</li>
		<li>$total</li>
		<li>\Session::get('cart')</li>
	</ul>
</code>


{!! Form::open(['method'=>'POST', 'id'=>'finalize']) !!} 
	<div>
		<h3>Informacion general</h3>
		<section>
			<div class="form-group">
				{!! Form::label('name', 'Nombre(s)', ['class'=>'']) !!}
				{!! Form::text('name', null, ['class'=>'required']) !!}
			</div>
			
			<div class="form-group">
				{!! Form::label('lastname', 'Apellidos', ['class'=>'']) !!}
				{!! Form::text('lastname', null, ['class'=>'required']) !!}
			</div>
			
			<div class="form-group">
				{!! Form::label('correo', 'Correo', ['class'=>'']) !!}
				{!! Form::text('correo', null, ['class'=>'required email']) !!}
			</div>
			
			<div class="form-group">
				{!! Form::label('phone', 'Teléfono', ['class'=>'']) !!}
				{!! Form::text('phone', null, ['class'=>'required', 'id'=>'phone']) !!}	
			</div>
			
		</section>
		<h3>Información de envio</h3>
		<section>
			<div class="form-group">
				{!! Form::label('cp', 'Codigo postal', ['class'=>'']) !!}
				{!! Form::text('cp', null, ['class'=>'required']) !!}
			</div>

			<div class="form-group">
				{!! Form::label('calle', 'Calle', ['class'=>'']) !!}
				{!! Form::text('calle', null, ['class'=>'required']) !!}
			</div>

			<div class="form-group">
				{!! Form::label('numero', 'Numero', ['class'=>'']) !!}
				{!! Form::text('numero', null, ['class'=>'required']) !!}
			</div>

			<div class="form-group">
				{!! Form::label('colonia', 'Colonia', ['class'=>'']) !!}
				{!! Form::text('colonia', null, ['class'=>'required']) !!}
			</div>

			<div class="form-group">
				{!! Form::label('ciudad', 'Ciudad o delegación', ['class'=>'']) !!}
				{!! Form::text('ciudad', null, ['class'=>'required']) !!}
			</div>

			<div class="form-group">
				{!! Form::label('estado', 'Estado', ['class'=>'']) !!}
				{!! Form::text('estado', null, ['class'=>'required']) !!}
			</div>

		</section>
		<h3>Medios de pago</h3>
		<section>
			Formulario de pagos
		</section>
		<h3>Finish</h3>
		<section>
			<input id="acceptTerms" name="acceptTerms" type="checkbox" class="required"> <label for="acceptTerms">I agree with the Terms and Conditions.</label>
		</section>
	</div>
{!! Form::close() !!}



@endsection

@section('scripts_extra')
<script type="text/javascript">
	var form = $("#finalize");

	form.children("div").steps({
		headerTag: "h3",
		bodyTag: "section",
		transitionEffect: "slideLeft",
		onStepChanging: function (event, currentIndex, newIndex)
		{
			form.validate().settings.ignore = ":disabled,:hidden";
			return form.valid();
		},
		onFinishing: function (event, currentIndex)
		{
			form.validate().settings.ignore = ":disabled";
			return form.valid();
		},
		onFinished: function (event, currentIndex)
		{
			alert("Submitted!");
		}
	});
</script>
@endsection